Workspaces
Listar alertas ativos
Retorna uma lista paginada de alertas ativos para o Workspace selecionado.
GET
/
v2
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
alerts
Listar alertas ativos
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"name": "Uso alto de CPU",
"description": "El uso de CPU superó el umbral",
"severity": "critical",
"started_at": "2026-03-15T08:00:00Z",
"authorized_minutes": 30,
"notified_at": "2026-03-15T08:05:00Z",
"information": "El uso actual es 96%",
"threshold_unit_name": "percent",
"threshold_value": 90,
"element": "cpu",
"category": "performance"
}
]
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador do Workspace.
Required string length:
24Pattern:
^[0-9a-f]{24}$Parâmetros de consulta
Número da página.
Intervalo obrigatório:
x >= 1Número de elementos por página.
Intervalo obrigatório:
1 <= x <= 100Nomes de campos de item de resposta separados por vírgulas para incluir.
Maximum string length:
2048Expressão de filtro JSON sobre rotas de campos de resposta filtráveis.
Maximum string length:
5120Expressão de ordenação com o formato :asc|desc sobre caminhos de campos escalares ordenáveis da resposta.
⌘I
Listar alertas ativos
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"name": "Uso alto de CPU",
"description": "El uso de CPU superó el umbral",
"severity": "critical",
"started_at": "2026-03-15T08:00:00Z",
"authorized_minutes": 30,
"notified_at": "2026-03-15T08:05:00Z",
"information": "El uso actual es 96%",
"threshold_unit_name": "percent",
"threshold_value": 90,
"element": "cpu",
"category": "performance"
}
]
}